{% extends 'base.html' %}
{% load staticfiles %}
{% load i18n %}

{% block title %}
  {% trans "Cadastrar Transdutor" %}
{% endblock %}

{% block extrastyle %}
  <script type="text/javascript" src="{% static 'transductor/js/transductor.js' %}"></script>

  <script type="text/javascript">
    $(document).ready(function() {
      $(window).load(function(){
        load_datetime_picker();
      });
    });
  </script>
{% endblock %}

{% block header %}
<div id="head" class="secondary" style=></div>
{% endblock %}

{% block body %}
<div class="container">

  <ol class="breadcrumb">
    <li><a href="{% url 'index' %}">{% trans "Início" %}</a></li>
    <li><a href="{% url 'dashboard' %}">{% trans "Painel de Controle" %}</a></li>
    <li><a href="{% url 'campuses:index' %}">{% trans "Câmpus" %}</a></li>
    <li><a href="{% url 'campuses:campus_index' campus.url_param %}">{{campus.acronym}}</a></li>
    <li><a href="{% url 'buildings:index' building.id %}">{{building.name}}</a></li>
    <li class="active">{% trans "Cadastrar Transdutor" %}</li>
  </ol>

  <div class="row">
    <article class="col-xs-12 maincontent">
      <header class="page-header">
        <h1 class="page-title">{{building.name}} - {% trans "Cadastro de Transdutor" %}</h1>
      </header>

      <div class="col-md-6 col-md-offset-3 col-sm-8 col-sm-offset-2">
        <div class="panel panel-default">
          <div class="panel-body">
            <h3 class="thin text-center">{% trans "Preencha os Campos Corretamente para Cadastrar um Novo Transdutor" %}</h3>
            <hr>

            {% if form.non_field_errors %}
              {% for error in form.non_field_errors %}
                <div class="alert alert-danger">
                  <strong>{{ error|escape }}</strong>
                </div>
              {% endfor %}
            {% endif %}

            <form method="post">
              {% csrf_token %}

              <div class="top-margin">
                <label>{{ form.building.label }}</label>
                {{form.building}}
                <div class="alert-danger">
                  <strong>{{ form.building.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.model.label }}</label>
                {{form.model}}
                <div class="alert-danger">
                  <strong>{{ form.model.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.ip_address.label }} <span class="text-danger">*</span></label>
                {{form.ip_address}}
                <div class="alert-danger">
                  <strong>{{ form.ip_address.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.name.label }} <span class="text-danger">*</span></label>
                {{form.name}}
                <div class="alert-danger">
                  <strong>{{ form.name.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.serie_number.label }}</label>
                {{form.serie_number}}
                <div class="alert-danger">
                  <strong>{{ form.serie_number.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.local_description.label }}</label>
                {{form.local_description}}
                <div class="alert-danger">
                  <strong>{{ form.local_description.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.comments.label }}</label>
                {{form.comments}}
                <div class="alert-danger">
                  <strong>{{ form.comments.errors }}</strong>
                </div>
              </div>

              <div class="top-margin">
                <label>{{ form.calibration_date.label }}</label>

                <div class="input-group date" id="datetimepicker1">
                  {{form.calibration_date}}
                  <span class="input-group-addon">
                      <span class="glyphicon glyphicon-calendar"></span>
                  </span>
                </div>

                <div class="alert-danger">
                  <strong>{{ form.calibration_date.errors }}</strong>
                </div>
              </div>
              <hr>

              <div class="row">
                <div class="col-lg text-center">
                  <button class="btn btn-success" type="submit" onclick="return confirm('Deseja realmente cadastrar o transdutor?')">{% trans "Cadastrar" %}</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </article>
  </div>
</div>
{% endblock %}
